#include <bits/stdc++.h>

using namespace std;

int main()
{
    unsigned long long int a=0,b=0;
    unsigned long long int c=0,d=0,e=0;
    cin>>a>>b;
    if(a==1||b==1)
    {
    e=a*b;
    }
    else
    {
    c=(2*a)+(2*b)-4;
    d=((a*b)-c)/2;
    e=c+d;
    }

    cout<<e;

    return 0;
}